summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbootstrap.sh8
-rwxr-xr-xconfigure.ac2
2 files changed, 10 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 0c2b8868c..1a161c86e 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -38,6 +38,14 @@ else
exit 1
fi
+# we require automake 1.13 or later
+# check must happen externally due to use of newer macro
+AUTOMAKE_VERSION=`automake --version | head -n1 | rev | sed -e 's/\s.*$//' | rev`
+if [ "$AUTOMAKE_VERSION" \< "1.13" ]; then
+ echo >&2 "automake version $AUTOMAKE_VERSION is too old (need 1.13 or later)"
+ exit 1
+fi
+
autoscan
$LIBTOOLIZE --copy --automake
aclocal -I ./aclocal
diff --git a/configure.ac b/configure.ac
index 1eaa359ce..003235489 100755
--- a/configure.ac
+++ b/configure.ac
@@ -18,6 +18,7 @@
#
AC_PREREQ(2.65)
+AC_CONFIG_MACRO_DIR([./aclocal])
AC_INIT([thrift], [1.0.0-dev])
@@ -595,6 +596,7 @@ AC_CHECK_FUNCS([memset])
AC_CHECK_FUNCS([mkdir])
AC_CHECK_FUNCS([realpath])
AC_CHECK_FUNCS([select])
+AC_CHECK_FUNCS([setlocale])
AC_CHECK_FUNCS([socket])
AC_CHECK_FUNCS([strchr])
AC_CHECK_FUNCS([strdup])